Stampfactory
Dokumentation
Compliance (ArbZG)

Compliance einer Person

Returns aggregated ArbZG compliance data for a single employee.

GET
/employees/{employee}/compliance/{start}/{end}
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

employee*string

The employee ID

Formatuuid
start*string
end*string

Response-Body

application/json

application/json

application/json

curl -X GET "https://example.com/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08/compliance/string/string"
{  "employee_id": "string",  "period": {    "start": "string",    "end": "string"  },  "summary": {    "days_over_10h": 0,    "days_over_8h": 0,    "rest_period_violations": 0,    "continuous_work_violations": 0,    "night_work_days": 0,    "night_work_total_ms": 0,    "night_worker_limit_violations": 0,    "total_violation_days": 0  },  "weekly_hours": [    {      "week": "string",      "net_work_ms": "string",      "exceeded": true    }  ],  "rolling_average": {    "period_weeks": 0,    "average_weekly_hours_ms": 0,    "limit_ms": "string",    "exceeded": true  },  "night_work": {    "total_ms": 0,    "monthly": [      {        "month": "string",        "night_ms": "string",        "days": "string"      }    ],    "is_night_worker": "string",    "classification_reason": "string"  },  "sunday_holiday_work": {    "worked_sundays": 0,    "free_sundays": "string",    "total_sundays": 0,    "free_sundays_minimum": 0,    "free_sundays_ok": "string",    "worked_holidays": 0,    "worked_sunday_dates": [      "string"    ],    "worked_holiday_dates": [      "string"    ]  }}